#pragma once

#include "enemy.hpp"
#include "../defs.hpp"
#include <render/atlas.hpp>

namespace game::entity {

class ChaseEnemy: public Enemy
{
private:
    float health;
    b2Vec2 velocity;

    render::sprite::Icon icon;

    float angle;

public:
    ChaseEnemy(Block *root, const vec2f &position, float health) noexcept;
    virtual ~ChaseEnemy();

    virtual void OnCollide(Entity *entity);

    virtual void Update() noexcept;
    virtual void Render() noexcept;
};

}
